com.dlsc.flexgantt.policy.layer

## Interface IEditCapacityObjectPolicy

- All Superinterfaces:
    IPolicy
  All Known Implementing Classes:
    DefaultEditCapacityObjectPolicy

      public interface IEditCapacityObjectPolicy
      extends IPolicy

  A policy that is used for making decisions regarding the editing behaviour of capacity objects. Capacity objects (`ICapacityObject`) extend the standard timeline objects (`ITimelineObject`) with an additional parameter called capacity used.
  Since:
    1.0
  Version:
    $Revision: 1.3 $
  Author:
    Dirk Lemmermann
  See Also:
    `ICapacityObject`, `DefaultCapacityObject`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ICommand` | `getChangeCapacityCommand(TimelineObjectPath path, IGanttChartModel model, double newCapacityUsed)` Returns a command object that will perform the actual change of the capacity used value.
    `boolean` | `isCapacityChangeable(TimelineObjectPath path, IGanttChartModel model)` Decides whether or not the capacity used value of the object can be changed.

- - ### Method Detail

    - #### isCapacityChangeable

          boolean isCapacityChangeable(TimelineObjectPath path,
                                       IGanttChartModel model)

      Decides whether or not the capacity used value of the object can be changed.
      Parameters:
        `path` - the path to the capacity object that gets checked for its editing ability
        `model` - the data source of the tree node and the capacity object
      Returns:
        TRUE if the capacity can be edited
      Since:
        1.0

    - #### getChangeCapacityCommand

          ICommand getChangeCapacityCommand(TimelineObjectPath path,
                                            IGanttChartModel model,
                                            double newCapacityUsed)

      Returns a command object that will perform the actual change of the capacity used value.
      Parameters:
        `path` - the path to the capacity object that gets checked for its editing ability
        `model` - the data source of the tree node and the capacity object
        `newCapacityUsed` -
      Returns:
        the command object that will change the capacity used value
      Since:
        1.0

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.